Bug 464964 - FTBFS perl-RRD-Simple-1.43-3.fc9
FTBFS perl-RRD-Simple-1.43-3.fc9
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-RRD-Simple (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
: 511512 (view as bug list)
Depends On:
Blocks: F12FTBFS
  Show dependency treegraph
 
Reported: 2008-10-01 11:43 EDT by FTBFS
Modified: 2010-03-14 09:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: perl-RRD-Simple-1.44-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-14 09:43:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (522.04 KB, text/plain)
2008-10-01 11:43 EDT, FTBFS
no flags Details
build.log (5.91 KB, text/plain)
2008-10-01 11:43 EDT, FTBFS
no flags Details
mock.log (891 bytes, text/plain)
2008-10-01 11:43 EDT, FTBFS
no flags Details
root.log (639.55 KB, text/plain)
2008-10-01 11:43 EDT, FTBFS
no flags Details
build.log (7.29 KB, text/plain)
2008-10-01 11:43 EDT, FTBFS
no flags Details
mock.log (900 bytes, text/plain)
2008-10-01 11:43 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2008-10-01 11:43:19 EDT
perl-RRD-Simple-1.43-3.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2008-10-01 11:43:23 EDT
Created attachment 318299 [details]
root.log

root.log for i386
Comment 2 FTBFS 2008-10-01 11:43:24 EDT
Created attachment 318300 [details]
build.log

build.log for i386
Comment 3 FTBFS 2008-10-01 11:43:25 EDT
Created attachment 318301 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2008-10-01 11:43:27 EDT
Created attachment 318302 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2008-10-01 11:43:28 EDT
Created attachment 318303 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2008-10-01 11:43:29 EDT
Created attachment 318304 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2008-11-25 22:19:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Paul Howarth 2009-07-15 04:45:10 EDT
Problem reported upstream: http://rt.cpan.org/Public/Bug/Display.html?id=46193
Comment 9 Paul Howarth 2009-07-15 04:46:37 EDT
*** Bug 511512 has been marked as a duplicate of this bug. ***
Comment 10 Matt Domsch 2009-10-22 15:42:30 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=121463
failed in Koji.

It also appears that the upstream is not fixing bugs on this package anymore; last fixed bugs were a year ago.

# repoquery --whatrequires --recursive perl-RRD-Simple
(empty set)

Can this simply dropped then?
Comment 11 Matt Domsch 2009-10-22 16:29:02 EDT
This package failed to build in Koji for Fedora 12, and at this point in the release cycle (Beta is out), we'll have to live with the F11 build of the package unless there is another bug in your package which would prevent the release of Fedora 12.

If your package is now obsolete and should be removed from Fedora 12 and future, please follow the End of Life instructions here:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

If your package is not obsolete, and you wish it to remain in the distribution for Fedora 13, please update your package's devel branch in CVS so that it builds, build it in koji, and close this bug as "CLOSED RAWHIDE", including the link to the koji build that succeeded.  You can do this now, while final touches are being placed on Fedora 12 without affecting F12.

Shortly after F12 is out, but before the F13 Alpha release, all F12FTBFS-blocking bugs will be re-evaluated.  At that time, if progress has not been made to fix the package, it will be removed from the distribution for F13.
Comment 12 Paul Howarth 2009-10-22 17:24:04 EDT
As this package is required by a few (I believe) other packages, and only one of the tests is failing, and that only fails if perl(Test::Deep) is available, I'd be inclined to just disable that test (or BuildConflict perl(Test::Deep) instead of BuildRequire-ing it) and build the latest version (1.44).
Comment 13 Matt Domsch 2009-10-22 17:44:25 EDT
Paul, however you want to handle it is fine.  repoquery on rawhide today doesn't show anything that requires this package though.

repoquery --whatrequires 'perl(RRD::Simple*)' yields nothing.
Comment 14 Paul Howarth 2009-10-23 04:15:32 EDT
Well it's Chris' package, not mine so it's up to him. I think I must have been confusing it with rrdtool when I thought there were other packages needing it.
Comment 15 Bug Zapper 2009-11-16 04:28:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora Admin XMLRPC Client 2010-03-02 13:01:45 EST
Reassigning to new package owner
Comment 17 Guil Barros 2010-03-02 14:40:39 EST
As per Paul's request, here is my blurb on RRD:Simple. This is a good package to quickly prototype perl-rrd apps without worrying too much about configuring esoteric rrd options. I find that i tend to start by using RRD::Simple and then when I decide to put more effort into the project I move to using full RRD for the more granular options. It would be a shame if we retired this, in fact it would be great if we packaged the latest version.
Comment 18 Fedora Admin XMLRPC Client 2010-03-03 06:54:45 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora Update System 2010-03-03 09:31:54 EST
perl-RRD-Simple-1.44-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-RRD-Simple-1.44-5.fc13
Comment 20 Fedora Update System 2010-03-03 20:34:13 EST
perl-RRD-Simple-1.44-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-RRD-Simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3614
Comment 21 Fedora Update System 2010-03-14 09:42:52 EDT
perl-RRD-Simple-1.44-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.